@charset "utf-8";

/* 기본 스타일 */
#idxList {
  padding: 60px 0;
  font-family: 'Pretendard';
}

#idxList.view {
  padding: 60px 0;
  border-top: 1px solid #e1e1e1;
}

#idxList.view #mainEvent {
  margin: 0;
}

#listTit {
  max-width: 1335px;
  margin: 0 auto 5px;
  padding: 0 7.5px;
  font-size: 24px;
  font-weight: 700;
  color: #111;
}

#listTit.sub {
  margin-bottom: 15px;
}

#designLIst {
  /*max-width: 1335px;*/
  margin: 0 auto;
}

#designListWrap {
  font-family: 'Pretendard';
}

.empty {
  justify-content: center;
  width: 100% !important;
  height: auto !important;
  padding: 50px 0 !important;
  font-weight: 500;
  text-align: center;
  color: #999;
}

.dft_btn {
  border: none;
  background: none;
  font-family: 'Pretendard';
}

/* 검색 상단 */
#listResult {
  display: flex;
  align-items: center;
  max-width: 1320px;
  margin: 10px auto;
  padding: 15px 20px;
  border-radius: 10px;
  font-size: 15px;
  font-weight: 600;
  color: #111;
  background: var(--pale);
}

#listResult span {
  margin-left: 5px;
  color: var(--primary);
}

#listResult i {
  font-style: normal;
  color: #999;
}

#listResult .btns {
  display: flex;
  align-items: center;
  margin-left: auto;
}

#listResult .btns button {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #a1a1a1;
  width: 28px;
  height: 28px;
  border-radius: 4px;
  color: #a1a1a1;
}

#listResult .btns button.on {
  color: #fff;
  border-color: var(--dark);
  background: var(--dark);
}

#listResult .btns button+button {
  margin-left: 6px;
}

#listResult .btns button.flex_btn {
  margin-left: 10px;
}

#listResult .btns svg {
  width: 18px;
  height: 18px;
}

/* 추천 디자인 */
#rcmdSnb {
  flex-shrink: 0;
  width: 265px;
}

#rcmdList {
  position: relative;
  margin-bottom: 50px;
}

#rcmdList.sub {
  padding: 50px 0;
  background: var(--pale);
}

#rcmdList.monthly ul li {
  width: auto;
}

#rcmdList .inner {
  position: relative;
  max-width: 1335px;
  margin: 0 auto;
  padding: 0 7.5px;
}

#rcmdList .tit {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
  font-size: 24px;
  font-weight: 700;
  color: #111;
}

#rcmdList .tit span {
  padding: 5px 10px 4px;
  margin-left: 8px;
  border-radius: 20px;
  font-size: 11px;
  color: #fff;
  background: #0066ff;
}

#rcmdList .tit a {
  display: flex;
  align-items: center;
  margin-left: auto;
  padding-top: 8px;
  font-size: 15px;
  color: #aaa;
  transition: all .2s;
}

#rcmdList .tit a svg {
  width: 20px;
  height: 20px;
  margin-left: 8px;
}

#rcmdList .arr {
  position: absolute;
  top: 56%;
  transform: translateY(-50%);
  width: 40px;
  height: 40px;
  color: #222;
  opacity: .65;
  transition: opacity .2s;
}

#rcmdList .arr.next {
  right: -40px;
}

#rcmdList .arr.prev {
  left: -40px;
}

#rcmdList ul li {
  overflow: hidden;
  position: relative;
  width: 25%;
  border-radius: 12px;
  border: 1px solid #e1e1e1;
  background: #fff;
}

#rcmdList ul li a {
  font-size: 14px;
  font-weight: 500;
  color: #999;
}

#rcmdList ul li .img {
  overflow: hidden;
  display: block;
  position: relative;
  height: 200px;
}

#rcmdList ul li .img .mask {
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, .5);
  transition: all .25s;
}

#rcmdList ul li .img svg {
  width: 15px;
  height: 15px;
  color: #fff;
  transition: all .15s;
}

#rcmdList ul li .img img {
  position: relative;
  width: 100%;
}

#rcmdList ul li .img span {
  display: block;
  position: absolute;
  right: 12px;
  bottom: 12px;
  z-index: 1;
  height: 26px;
  padding: 0 14px;
  border-radius: 20px;
  font-size: 13px;
  font-weight: 600;
  color: #fff;
  line-height: 27px;
  background: #0066ff;
}

#rcmdList ul li .info {
  display: block;
  padding: 0 15px 15px;
  line-height: 1.8;
}

#rcmdList ul li .info .desc {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

#rcmdList ul li .info .price {
  display: flex;
  align-items: center;
}

#rcmdList ul li .info .price span {
  font-weight: 600;
  color: #aaa;
  text-decoration: line-through;
}

#rcmdList ul li .info .price p {
  margin-left: -5px;
  font-size: 18px;
  font-weight: 700;
  color: #111;
}

#rcmdList ul li .btns {
  display: flex;
  align-items: center;
  padding: 15px 15px 10px;
}

#rcmdList ul li .btns .code {
  margin-right: auto;
  font-size: 16px;
  line-height:18px;
  font-weight: 700;
  color: #111;
}

#rcmdList ul li .btns a,
#rcmdList ul li .btns button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 32px;
  height: 32px;
  border-radius: 4px;
  color: #555;
  background: #f5f5f5;
  transition: all .2s;
}

#rcmdList ul li .btns svg {
  width: 16px;
}

#rcmdList ul li .btns button {
  margin-left: 5px;
}

#rcmdSnb select {
  width: 100%;
  height: 50px;
  padding: 0 15px;
  border: 1px solid #e1e1e1;
  border-radius: 6px;
  font-size: 15px;
  -webkit-appearance: none;
  appearance: none;
  background: url(/sh_img/common/cm_arr.png) 94% center no-repeat;
  background-size: 11px;
  color: #222;
  font-family: 'Pretendard';
}

#rcmdSnb select:focus {
  box-shadow: none;
  border: 1px solid #e1e1e1 !important;
  outline: none !important;
}

#designListWrap.rcmd {
  display: flex;
  max-width: 600px;
  margin: 0 auto;
  padding: 50px 30px 100px;
}


/* 호버 효과 */
@media (hover: hover) {
  #rcmdList .tit a:hover {
    color: #111;
  }

  #rcmdList .arr:hover {
    opacity: 1;
  }

  #rcmdList ul li:hover .img img {
    opacity: 1;
  }

  #rcmdList ul li:hover .img .mask {
    opacity: 1;
  }

  #rcmdList ul li:hover .img svg {
    width: 30px;
    height: 30px;
  }

  #rcmdList ul li .btns a:hover,
  #rcmdList ul li .btns button:hover {
    background: #e5e5e5;
  }
}

/* 메인 이벤트 */
#mainEvent {
  margin-bottom: 50px;
}

#mainEvent.main {
  padding: 50px 0;
  background: var(--pale);
}

#mainEvent.sub {
  margin-top: 50px;
}

#mainEvent .inner {
  position: relative;
  max-width: 1335px;
  margin: 0 auto;
  padding: 0 7.5px;
}

#mainEvent .tit {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
  font-size: 24px;
  font-weight: 700;
  color: #222;
}

#mainEvent .tit img {
  width: 30px;
  margin-right: 6px;
}

#mainEvent .tit a {
  display: flex;
  align-items: center;
  margin-left: auto;
  padding-top: 8px;
  font-size: 15px;
  color: #aaa;
  transition: all .2s;
}

#mainEvent .tit a svg {
  width: 20px;
  height: 20px;
  margin-left: 8px;
}

#mainEvent .arr {
  position: absolute;
  top: 45%;
  transform: translateY(-50%);
  width: 40px;
  height: 40px;
  color: #222;
  opacity: .65;
  transition: opacity .2s;
}

#mainEvent .arr.next {
  right: -40px;
}

#mainEvent .arr.prev {
  left: -40px;
}

#mainEvent ul li {
  width: calc(100% / 5);
}

#mainEvent ul li a {
  display: block;
}

#mainEvent ul li .img {
  overflow: hidden;
  border-radius: 12px;
}

#mainEvent ul li .img img {
  width: 100%;
}

#mainEvent ul li .info {
  padding: 15px 12px 0;
}

#mainEvent ul li .info .date {
  font-size: 15px;
  font-weight: 500;
  color: #aaa;
}

#mainEvent ul li .info .date span {
  font-size: 14px;
}

#mainEvent ul li .info .subj {
  margin-top: 8px;
  font-size: 17px;
  font-weight: 700;
  letter-spacing: -0.3px;
  color: #222;
  line-height: 1.55;
}

/* 필터 */
#filterTab {
  position: sticky;
  top: 0;
  z-index: 5;
  padding: 12px 7.5px;
  background: #fff;
}

#filterTab .flex {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  z-index: 1;
}

#filterTab button {
  flex-shrink: 0;
  border: none;
  background: none;
  font-size: 15px;
  font-weight: 600;
  color: #111;
  font-family: 'Pretendard';
}

#filterTab button+button {
  margin-left: 7px;
}

#filterTab .order {
  height: 38px;
  padding: 0 15px;
  border-radius: 20px;
  background: #f4f4f5;
}

#filterTab .order.on {
  color: #fff;
  background: var(--dark);
}

/* 선택한 옵션 */
#selectedOption {
  position: relative;
  display: none;
  width: 100%;
  margin-top: 15px;
  padding: 10px 120px 10px 10px;
  border-radius: 10px;
  background: var(--pale);
}

#selectedOption .reset {
  position: absolute;
  top: 16px;
  right: 20px;
  font-size: 14px;
  font-weight: 600;
  color: #111;
}

#selectedOption .reset i {
  margin-right: 6px;
}

#selectedOption .reset:hover {
  cursor: pointer;
}

#selectedOption .option_area {
  display: flex;
  flex-wrap: wrap;
}

#selectedOption .option_area span {
  margin: 6px 10px;
  font-size: 14px;
  font-weight: 600;
  color: #666;
}

#selectedOption .option_area span:hover {
  cursor: pointer;
}

#selectedOption .option_area span:after {
  display: inline-block;
  vertical-align: -1px;
  content: "";
  width: 12px;
  height: 12px;
  margin-left: 2px;
  background: url(/sh_img/common/option_close.png) no-repeat;
}

#selectedOption .option_area .color span {
  display: inline-block;
  position: relative;
  width: 20px;
  height: 20px;
  margin-right: 18px;
  border-radius: 2px;
}

#selectedOption .option_area .color span:after {
  position: absolute;
  right: -13px;
}

/* 디자인 리스트 */
#designLIst .tit {
  display: flex;
  align-items: center;
  margin-bottom: 5px;
  padding: 0 7.5px;
  font-size: 24px;
  font-weight: 700;
  color: #111;
}

#designLIst .tit span {
  padding: 6px 12px;
  margin-left: 10px;
  border-radius: 20px;
  font-size: 12px;
  color: #fff;
  background: #0066ff;
}

#designLIst ul {
  display: flex;
  flex-wrap: wrap;
  /*padding: 10px 7.5px 0;*/
}

#designLIst ul li.none {
  display: flex;
  flex-flow: column;
  align-items: center;
  width: 100%;
  padding: 50px 0;
  font-size: 16px;
  line-height: 1.6;
  text-align: center;
  color: #aaa;
}

#designLIst ul li.none img {
  /*width: 45px;*/
  margin-bottom: 20px;
}

/* 로딩 */
.searching {
  display: none;
  width: 100%;
  padding: 160px 0;
  font-weight: 600;
  font-size: 16px;
  line-height: 1.6;
  text-align: center;
  color: #333;
}

.searching .loader {
  position: relative;
  margin: 0px auto 20px;
  width: 65px;
  height: 65px;
}

.searching .loader:before {
  content: '';
  display: block;
  padding-top: 100%;
}

.searching .circular-loader {
  animation: rotate 2s linear infinite;
  height: 100%;
  transform-origin: center center;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  margin: auto;
}

.searching .loader-path {
  stroke-dasharray: 150, 200;
  stroke-dashoffset: -10;
  animation: dash 1.5s ease-in-out infinite, color 6s ease-in-out infinite;
  stroke-linecap: round;
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }

  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35;
  }

  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124;
  }
}

@keyframes color {
  0% {
    stroke: var(--primary);
  }

  40% {
    stroke: var(--primary);
  }

  66% {
    stroke: var(--primary);
  }

  80%,
  90% {
    stroke: var(--primary);
  }
}

/* 디자인 리스트 - 230503 */
#designLIst ul li.item {
  overflow: hidden;
  isolation: isolate;
  position: relative;
  width: calc((100% / 2) - 6px);
  margin-bottom: 30px;
  border-radius: 12px;
  border: 1px solid #e1e1e1;
}

#designLIst ul li.item+li {
  margin-left: 20px;
}

#designLIst ul li.item:nth-child(4n+1) {
  margin-left: 0;
}

#designLIst ul li.item a {
  font-size: 14px;
  font-weight: 500;
  color: #999;
}

#designLIst ul li.item .wish {
  position: absolute;
  right: 18px;
  top: 10px;
  z-index: 2;
  border: none;
  background: none;
}

#designLIst ul li.item .wish svg {
  color: #fff;
  fill: rgba(0, 0, 0, .3);
}

#designLIst ul li.item .wish svg.on {
  fill: var(--primary);
}

#designLIst ul li.item .img {
  overflow: hidden;
  display: block;
  position: relative;
  height: 230px;
}

#designLIst ul li.item .img .mask {
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, .5);
  transition: all .25s;
}

#designLIst ul li.item .img svg {
  width: 15px;
  height: 15px;
  color: #fff;
  transition: all .15s;
}

#designLIst ul li.item .img img {
  position: relative;
  width: 100%;
}

#designLIst ul li.item .img span {
  display: block;
  position: absolute;
  left: 12px;
  top: 12px;
  z-index: 1;
  height: 26px;
  padding: 0 14px;
  border-radius: 20px;
  font-size: 13px;
  font-weight: 600;
  color: #fff;
  line-height: 27px;
  background: var(--primary);
}

#designLIst ul li.item .btns {
  display: flex;
  align-items: center;
  margin: 15px 0;
  padding: 0 15px;
}

#designLIst ul li.item .btns a,
#designLIst ul li.item .btns button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50%;
  height: 35px;
  border: 1px solid #e1e1e1;
  border-radius: 4px;
  font-size: 13px;
  font-weight: 500;
}

#designLIst ul li.item .btns button.bd_btn {
  margin: 0;
  border: 1px solid #e1e1e1;
  color: #999;
  background: none;
}

#designLIst ul li.item .btns a.preview {
  width: 100%;
}

#designLIst ul li.item .btns button {
  margin-left: 4px;
  border: none;
  color: #fff;
  background: #aaa;
}

#designLIst ul li.item .info {
  display: block;
  padding: 0 15px 20px;
  line-height: 1.6;
}

#designLIst ul li.item .info .code {
  font-size: 12px;
  line-height:15px;
  font-weight: 700;
  color: #333;
}

#designLIst ul li.item .info .desc {
  margin-top:6px;
  max-height: 76px;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size:12px;
  line-height: 15px;
}

#designLIst ul li.item .info .price {
  display: flex;
  align-items: center;
  margin-top: 8px;
}

#designLIst ul li.item .info .price .redtext {
  font-size: 13px;
  font-weight: 500;
  color: red;
}

#designLIst ul li.item .info .price p {
  font-size: 18px;
  font-weight: 700;
  color: #111;
}

#designLIst ul.grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 20px;
  grid-auto-rows: 20px;
}

#designLIst ul.grid li.item {
  width: auto;
  margin-bottom: 0;
}

#designLIst ul.grid li.item+li {
  margin-left: 0;
}

#designLIst ul.grid li.item .img {
  height: auto;
}

#designLIst ul.grid.none {
  display: flex;
}

#designLIst .more_btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 178px;
  height: 58px;
  margin: 10px auto 0;
  padding-left: 5px;
  border: 1px solid var(--line);
  border-radius: 30px;
  font-size: 15px;
  font-weight: 700;
  color: #111;
  background-color: #fff;
  transition: all .2s;
  font-family: 'Pretendard';
}

#designLIst .more_btn svg {
  width: 20px;
  height: 20px;
  margin-left: 15px;
}

#designLIst .pg_wrap {
  display: block;
  float: none;
  clear: none;
  text-align: center;
}

#designLIst ul:not(.grid, .subpage) li.landing:nth-of-type(1n+1) .img img {
  animation: move 10s infinite linear;
}

#designLIst ul.subpage li.item .img {
  padding: 12px 12px 0;
}

@keyframes move {
  from {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-30%);
  }

  100% {
    transform: translateY(0);
  }
}

/* 호버 효과 */
@media (hover: hover) {
  #designLIst ul li.item:hover .img img {
    opacity: 1;
  }

  #designLIst ul li.item:hover {
    border: 1px solid #F66C6C;
  }

  #designLIst ul li.item:hover .img svg {
    width: 30px;
    height: 30px;
  }
}
